Skip to main content
PUT
/
v1
/
controls
/
accounts
/
{account_id}
Upsert account control
curl --request PUT \
  --url https://api.anthid.com/v1/controls/accounts/{account_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "manually_disabled": true,
  "manual_reason": "<string>"
}
'
{
  "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "manually_disabled": true,
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "updated_at": "2023-11-07T05:31:56Z",
  "version": 123,
  "manual_reason": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.anthid.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

account_id
string<uuid>
required

Trading account id

Body

application/json

Manual disable flag and optional operator-facing reason

manually_disabled
boolean
required
manual_reason
string | null

Response

Account control upserted

account_id
string<uuid>
required
created_at
string<date-time>
required
manually_disabled
boolean
required
organization_id
string<uuid>
required
updated_at
string<date-time>
required
version
integer<int64>
required
manual_reason
string | null